* Program   :TblClear.prg
* Author    :Mark D. Miller
* Date      :12-Nov-1992
* Notice    : Copyright (c) 12-Nov-1992 by Mark D. Miller
*             All Rights Reserved.
* Notes     :Releasing the memory used by the current table
*
* The includes
*
#include table.hdr
#include string.hdr
#include pick.hdr
*
* Global Table Memory
*
VARDEF  EXTERN
    CHAR( 12 )  OpenTableName
    FILE        OpenTableHandle
    UINT        TableCnt, TableCnt2, TableKy
    LONG        DataList, KeyList
    INT         TableType
    INT         TableIdx
ENDDEF
**********************************************************************
*                   T H E    R O U T I N E S                         *
**********************************************************************
* Procedure :ClearTable
* Date      :11-Nov-1992
* Parameters:(none)
*           :
*           :
* Notes     :Clear the currently open table from memory
*
PROCEDURE ClearTable
    PICK_CLEAR( DataList )
    IF TableType = 2
        PICK_CLEAR( KeyList )
    ENDIF
    OpenTableName = SPACE( 12 )         && Indicate that no table is active
    TableIdx = 0
    TableCnt = 0
    TableCnt2= 0
ENDPRO

*  EOF : TblClear.prg
